XMLReader::readString
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual

# XMLReader::setParserProperty

(PHP 5 >= 5.1.0)

XMLReader::setParserProperty — Parser-Optionen setzen

### Beschreibung

bool XMLReader::setParserProperty ( int `$property` , bool `$value` )

Setzen von Optionen für den Parser. Die Optionen müssen definiert werden nachdem XMLReader::open() oder XMLReader::xml() verwendet werden und bevor der erste XMLReader::read() Aufruf stattfindet.

### Parameter-Liste

`property`

  Eine der Parser-Optionskonstanten.

`value`

  Wenn die Option auf `TRUE` gesetzt, wird sie aktiviert, sonst deaktiviert.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

XMLReader::readString
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual